<template>
  <div class="image-card-container">
    <div class="image-container">
      <video v-if="!$device.isSafari" autoplay loop muted inline webkit-playsinline playsinline>
        <source :src="settings.video" :alt="settings.imgAlt" type="video/webm">
      </video>
      <img v-else :src="settings.img" :alt="settings.imgAlt">
    </div>
    <div class="text-content">
      <text-conent :text="settings.text" :title="settings.title" :buttonText="settings.buttonText" :buttonLink="settings.linkProps"></text-conent>
    </div>
  </div>
</template>

<script>
export default {
  props: {
    settings: {
      type: Object,
      default: {
        img: undefined,
        imgAlt: undefined,
        text: undefined,
        title: undefined
      },
    },
  },
};
</script>

<style lang="scss" scopeds>
.image-card-container {
  display: flex;
  justify-content: space-between;
  width: 100%;
  min-height: 31.25rem;

  .text-content {
    width: 51.9375rem;
    max-width: 51.9375rem;

    pre {
      color: $thor-default-font-color;
      font-family: "Roboto";
      font-weight: 500;
      font-style: normal;
      font-size: 1.5rem;
      white-space: pre-line;
    }
  }

  .image-container {
    img, video {
      width: 31.625rem;
    }
  }
}
</style>